Redmine - Patch #13498

Better validation for identifier length
2013-03-17 10:02 - Daniel Felix

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version:

Description

Please see...
source:trunk/app/models/project.rb#L. 76

This could be clearer with minimum and maximum.
Example:

validates_length_of :identifier, :minimum => 1, :maximum => 100, :allow_blank => false

History

#1 - 2013-03-18 04:08 - Mischa The Evil

Daniel Felix wrote:

Please see...
source:trunk/app/models/project.ro#L.76

This could be clearer with minimum and maximum.

The current code is specifically done for easy changing the max. indentifier length. See #6446#note-12. I'd suggest to keep it like it is now.

#2 - 2013-03-18 13:06 - Daniel Felix
Ah okay.

But we'll the :maximum would achieve the same thing? There could be a reference to the variable too. :-)
Doesn't it?

What about the allow blank option?

#3 - 2014-01-12 12:08 - Jean-Philippe Lang

- Status changed from New to Closed

There's a min and max in the current implementation. | don't know how it was when this patch was submitted, please reopen if needed.
